//
// Tiny OpenGL v3 demo program for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2022 by Bill Spitzak and others.
//
// This library is free software. Distribution and use rights are outlined in
// the file "COPYING" which should have been included with this file.  If this
// file is missing or damaged, see the license at:
//
//     https://www.fltk.org/COPYING.php
//
// Please see the following page on how to report bugs and issues:
//
//     https://www.fltk.org/bugs.php
//

#include <FL/platform.H>
#include <FL/Fl_Button.H>
#include <FL/gl.h>

#include "GL2View.h"

GL2View::GL2View(int x, int y, int w, int h) :  Fl_Gl_Window(x, y, w, h)
{

    begin();
    Fl_Button* b = new Fl_Button( 0, 0, 40, 30, "Push me" );
    b->color(FL_FREE_COLOR);
    b->box(FL_BORDER_BOX );
    end();
}

void GL2View::draw()
{
    if ( !valid() )
    {
        glLoadIdentity();
        glViewport(0,0,pixel_w(),pixel_h());
        glOrtho( 0, w(), 0, h(), -1, 1 );
        glClear(GL_COLOR_BUFFER_BIT);
        glClearColor(0.0f, 0.0f, 0.0f, 1);
        valid( 1 );
    }

    // Fl_Gl_Window::draw();
}
